Get an exception list item
https://{kibana_url}
- GET /api/exception_lists/items
Get the details of an exception list item using the id or item_id field.
Query Parameters
-
idstring · min: 1 Exception list item's identifier. Either
idoritem_idmust be specified.-
item_idstring · min: 1 Human readable exception item string identifier, e.g.
trusted-linux-processes. Eitheridoritem_idmust be specified.-
namespace_type singlefetches the item in the current space;agnosticfetches a global (space-agnostic) item. Must match how the list was created.-
Values:
agnosticsingle
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
commentsobjectrequired -
Array of comment fields:
- comment (string): Comments about the exception item.
-
commentstring · min: 1required -
A string that does not contain only whitespace characters
-
created_atstringrequired -
Autogenerated date of object creation.
-
created_bystring · min: 1required -
A string that does not contain only whitespace characters
-
idstring · min: 1required -
A string that does not contain only whitespace characters
-
updated_atstring -
Autogenerated date of last object update.
-
updated_bystring · min: 1 -
A string that does not contain only whitespace characters
-
created_atstringrequired -
Autogenerated date of object creation.
-
created_bystringrequired -
Autogenerated value - user that created object.
-
descriptionstringrequired -
Describes the exception list.
-
entriesobjectrequired -
expire_timestring -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
idstring · min: 1required -
Exception's identifier.
-
item_idstring · min: 1required -
Human readable string identifier, e.g.
trusted-linux-processes -
list_idstring · min: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
metaobject -
namestring · min: 1required -
Exception list name.
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
os_typesobject -
Values:
linuxmacoswindows -
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Values:
simple -
updated_atstringrequired -
Autogenerated date of last object update.
-
updated_bystringrequired -
Autogenerated value - user that last updated object.
Invalid input data response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Exception list item not found response
-
messagestringrequired -
status_codeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired